import { z } from "zod"

export const UpdateBuildPartsSchema = z.object({

    buildId: z.string().optional(),
    addressGovCode: z.string(),
    no: z.number(),
    level: z.number(),
    code: z.string(),
    grossSize: z.number(),
    netSize: z.number(),
    defaultAccessory: z.string(),
    humanLivability: z.boolean(),
    key: z.string(),
    directionId: z.string().optional(),
    typeId: z.string().optional(),
    active: z.boolean(),
    isConfirmed: z.boolean(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional()

});

export type UpdateBuildParts = z.infer<typeof UpdateBuildPartsSchema>;
